[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazDialogs' (#lcl)

# TLazarusFileDialogForm.ButtonPanel

Button panel for the Lazarus dialog form.

## Declaration

Source position: lazdialogs.pas line 30

`public TLazarusFileDialogForm.ButtonPanel : TButtonPanel;`

## Description

ButtonPanel is a TButtonPanel member that contains the buttons appropriate for a specific kind of Lazarus dialog. ButtonPanel is configured by default to display and respond to Ok and Cancel buttons in the Initialize method. Specialized dialog types can alter the default buttons and their actions.

## See also

TLazarusFileDialogForm.Initialize |  | Creates and positions child controls on the Lazarus dialog form.
TLazFileDialogKind |  | Enumerated type which represents the dialog kind in a Lazarus dialog form.